Kodi Community Forum

Full Version: ./config error after fresh install of ubuntu 10.10
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Just reinstalled a fresh version of ubuntu 10.10, I followed this guide (http://xbmcmediacenter.com/compile-xbmc-on-linux/)

./bootstrap is fine but ./configure --prefix=/usr --disable-pulse --enable-libbluray --enable-vdpau gives me this error

checking boost/shared_ptr.hpp usability... yes
checking boost/shared_ptr.hpp presence... yes
checking for boost/shared_ptr.hpp... yes
checking for main in -lGL... no
configure: error: Could not find a required library. Please see the README for your platform.

How do i found out what lib is missing

Thanks
I think you need to install libgl1-mesa-dev.
just checked & "libgl1-mesa-dev" is already installed
It's probably mesa-common-dev that you have to install then, also make sure the video driver is installed, some video driver packages provide their own libGL.
Thanks for your help bobo1on1 , In the end i reinstalled ubuntu again & it compiled 1st time!

Is there a way to find out if ./configure fails apart from configure.log (which didnt tell me much) so in future if it happens again i can try & sort it
Well sure, it'll just print an error and stop.